# StreamIterator<T> class

An Iterator like interface for the values of a Stream.

This wraps a Stream and a subscription on the stream. It listens on the stream, and completes the future returned by moveNext when the next value becomes available.

The stream may be paused between calls to moveNext.

## Constructors

StreamIterator(Stream<T> stream)
  Create a StreamIterator on `stream`.
  factory

## Properties

current → T
  The current value of the stream. [...]
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

cancel() → Future
  Cancels the stream iterator (and the underlying stream subscription) early. [...]
moveNext() → Future<bool>
  Wait for the next stream value to be available. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited